Loading...
Searching...
No Matches
casacore::LELArray< T > Class Template Reference
lattices package (libcasa_lattices) » LEL_module » LEL_module_internal_classes

More...

`#include <LELArray.h>`

## Public Member Functions

| LELArray (const Array< T > &value)
| Constructor takes value.
| LELArray (const Array< T > &value, const Array< Bool > &mask)
| Constructor takes value and mask.
| LELArray (const IPosition &shape)
| Constructor takes shape.
| LELArray (const LELArray< T > &other)
| Copy constructor (reference semantics).
| ~LELArray ()
LELArray< T > & | operator= (const LELArray< T > &other)
| Assignment (reference semantics).
const IPosition & | shape () const
| Get shape (of the value).
const Array< T > & | value () const
| Get value.
Array< T > & | value ()
Public Member Functions inherited from casacore::LELArrayBase
| LELArrayBase ()
| Default constructor sets to mask all true.
| LELArrayBase (const Array< Bool > &mask)
| Constructor takes mask.
| LELArrayBase (const LELArrayBase &other)
| Copy constructor (reference semantics).
| ~LELArrayBase ()
LELArrayBase & | operator= (const LELArrayBase &other)
| Assignment (reference semantics).
Bool | isMasked () const
| Does the value have a mask?
const Array< Bool > & | mask () const
| Get mask.
Array< Bool > & | mask ()
void | removeMask ()
| Remove the mask.
void | setMask (const Array< Bool > &other)
| Set the mask from given array (takes reference).
void | setMask (const LELArrayBase &other)
| Set the mask from the mask of the other value.
void | setMask (Array< Bool > &other)
| Set the mask from given array (takes reference).
void | setMask (const LELArrayBase &left, const LELArrayBase &right)
| Set the mask by combining the masks of both values.
void | combineMask (const LELArrayBase &other)
| Combine the mask of this and the other value (by anding them).
void | combineMask (const Array< Bool > &mask)
void | combineOrAnd (Bool desiredValue, const Array< Bool > &value)
| Combine the mask with the given value in case of an OR or AND.
void | combineOrAnd (Bool desiredValue, Array< Bool > &value, const Array< Bool > &temp)
| Combine for two arrays taking the true/false array values into account.
void | combineOrAnd (Bool desiredValue, Array< Bool > &value, const Array< Bool > &temp, const Array< Bool > &tempMask)
| Combine for two arrays taking the true/false array values and mask into account.

## Private Attributes

Array< T > | itsValue

## Detailed Description

template<class T>
class casacore::LELArray< T >

This LEL class holds an array with a mask.

### Intended use:

Internal

### Review Status

Date Reviewed:
  yyyy/mm/dd

### Synopsis

This LEL class holds an array with a mask. The mask can be a single Bool valid for all elements of the array. Otherwise it is a full mask with the same shape as the array.

### Motivation

It makes it possible to handle an array with its mask as a single object.

Definition at line 60 of file LELArray.h.

## Constructor & Destructor Documentation

## LELArray() [1/4]

template<class T>

casacore::LELArray< T >::LELArray | ( | const Array< T > & | value | ) |

inline

Constructor takes value.

Its mask is set to all True.

Definition at line 65 of file LELArray.h.

References itsValue, and value().

Referenced by LELArray(), casacore::LELArrayRef< T >::LELArrayRef(), and operator=().

## LELArray() [2/4]

template<class T>

casacore::LELArray< T >::LELArray | ( | const Array< T > & | value,
|  | const Array< Bool > & | mask )

inline

Constructor takes value and mask.

Definition at line 69 of file LELArray.h.

References itsValue, casacore::LELArrayBase::LELArrayBase(), casacore::LELArrayBase::mask(), and value().

## LELArray() [3/4]

template<class T>

casacore::LELArray< T >::LELArray | ( | const IPosition & | shape | ) |

Constructor takes shape.

Its mask is set to all True.

References shape().

## LELArray() [4/4]

template<class T>

casacore::LELArray< T >::LELArray | ( | const LELArray< T > & | other | ) |

Copy constructor (reference semantics).

References LELArray().

## ~LELArray()

template<class T>

casacore::LELArray< T >::~LELArray | ( |  | ) |

## Member Function Documentation

## operator=()

template<class T>

LELArray< T > & casacore::LELArray< T >::operator= | ( | const LELArray< T > & | other | ) |

Assignment (reference semantics).

References LELArray().

## shape()

template<class T>

const IPosition & casacore::LELArray< T >::shape | ( |  | ) | const

inline

Get shape (of the value).

Definition at line 85 of file LELArray.h.

References itsValue.

Referenced by LELArray(), and casacore::LELArrayRef< T >::LELArrayRef().

## value() [1/2]

template<class T>

Array< T > & casacore::LELArray< T >::value | ( |  | ) |

inline

Definition at line 92 of file LELArray.h.

References itsValue.

## value() [2/2]

template<class T>

const Array< T > & casacore::LELArray< T >::value | ( |  | ) | const

inline

Get value.

Definition at line 90 of file LELArray.h.

References itsValue.

Referenced by LELArray(), LELArray(), and casacore::LELArrayRef< T >::value().

## Member Data Documentation

## itsValue

template<class T>

Array<T> casacore::LELArray< T >::itsValue

private

Definition at line 97 of file LELArray.h.

Referenced by LELArray(), LELArray(), shape(), value(), and value().

The documentation for this class was generated from the following files:

- lattices/LEL/LatticeExpr.h
- lattices/LEL/LELArray.h